label_tree_dir="label_tree_obj"

mkdir -p $label_tree_dir logs figs

datasets=("eurlex" "amazoncat-13k" "wiki10-31k"
          "wiki-500k" "amazon-670k" "amazon-3m")

for dataset in "${datasets[@]}"
do
    for seed in {0..1}
    do
        echo "python3 tree_space.py build_tree svm $dataset --cluster elkan --K 100 --dmax 5 --seed $seed --verbose --plot_alphas"
        time python3 tree_space.py build_tree svm $dataset $label_tree_dir \
            --cluster elkan \
            --K 100 \
            --dmax 5 \
            --seed $seed \
            --verbose \
            --plot_alphas
    done
done
